# Uses of Interface
org.opensaml.xacml.policy.VariableReferenceType

Packages that use VariableReferenceType
Package
Description
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of VariableReferenceType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement VariableReferenceType
Modifier and Type
Class
Description
`class`
`VariableReferenceTypeImpl`
Implementation of `VariableReferenceType`.
Methods in org.opensaml.xacml.policy.impl that return VariableReferenceType
Modifier and Type
Method
Description
`VariableReferenceType`
VariableReferenceTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`VariableReferenceType`
VariableReferenceTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.